Package org.apache.cxf.interceptor.security

# Class JAASAuthenticationFeature.Portable

java.lang.Object
org.apache.cxf.interceptor.security.JAASAuthenticationFeature.Portable

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

Enclosing class:
  JAASAuthenticationFeature

public static class JAASAuthenticationFeature.Portable extends Object implements AbstractPortableFeature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Portable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  `setContextName(String contextName)`
  `void`
  `setReportFault(boolean reportFault)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

  `initialize, initialize, initialize, initialize`

- ## Constructor Details

  - ### Portable

    public Portable()

- ## Method Details

  - ### doInitializeProvider

    public void doInitializeProvider(InterceptorProvider provider, Bus bus)
    Specified by:
      `doInitializeProvider` in interface `AbstractPortableFeature`

  - ### setContextName

    public void setContextName(String contextName)

  - ### setReportFault

    public void setReportFault(boolean reportFault)